Skip to main content
POST
cURL

Authorizations

X-Api-Key
string
header
required

Path Parameters

organization_uuid
string<uuid>
required

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Body

Request serializer for filtering optimized proposals.

status

Filter by proposal status

  • pending - Pending
  • completed - Completed
  • failed - Failed
Available options:
pending,
completed,
failed
client_external_id
string | null

Filter by client external ID

created_after
string<date-time> | null

Filter proposals created after this date/time

created_before
string<date-time> | null

Filter proposals created before this date/time

min_average_drift
string<decimal> | null

Filter proposals by the average drift across all holdings.

Pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
min_largest_drift
string<decimal> | null

Filter proposals by the largest drift across all holdings.

Pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
min_turnover
string<decimal> | null

Filter proposals by the proposal turnover

Pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
min_tax_due
string<decimal> | null

Filter proposals by the tax due

Pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
min_buy_amount_usd
string<decimal> | null

Filter proposals by the total buy trades in USD

Pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
min_sell_amount_usd
string<decimal> | null

Filter proposals by the total absolute sell amount in USD.

Pattern: ^-?\d{0,12}(?:\.\d{0,4})?$

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"